﻿using System;
using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Web7362
{
    public class Product
    {
        //[Key]
        public int ProdID { get; set; }
        public string ProdName { get; set; }
        public DateTime FinishDate { get; set; }
        public double Weight { get; set; }
        public string Remark { get; set; }
    }

    public class MyDBContext : DbContext
    {
        public MyDBContext(DbContextOptions<MyDBContext> options)
            : base(options)
        {
            // 暂无其他代码
        }

        public DbSet<Product> Products { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Product>().HasKey(p => p.ProdID);
        }
    }
}