﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;


namespace Web7362
{
    public class DemoController : Controller
    {
        MyDBContext _dbcontext;
        public DemoController(MyDBContext context)
        {
            _dbcontext = context;
        }

        [HttpGet]
        public ActionResult Products()
        {
            return View(_dbcontext.Products.ToList());
        }

        [HttpPost]
        public ActionResult Products(Product p)
        {
            if (ModelState.IsValid)
            {
                _dbcontext.Products.Add(p);
                _dbcontext.SaveChanges();
            }
            return View(_dbcontext.Products.ToList());
        }
    }
}
